<?php


return  
    [
        'model' => [
            'model' => \Litecms\App\Models\AppPermission::class,
            'repository' => \Litecms\App\Repositories\Eloquent\AppPermissionRepository::class,
            'table' => 'app_permissions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'apps_id',  'permission_id',  'access_level',  'status',  'review_status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'app/app_permission',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "apps_id" => [
                "key" => "apps_id", 
                "type" => "text", 
                "label" => 'app::app_permission.label.apps_id', 
                'sort' => true,
                'roles' => [],
            ],
            "permission_id" => [
                "key" => "permission_id", 
                "type" => "text", 
                "label" => 'app::app_permission.label.permission_id', 
                'sort' => true,
                'roles' => [],
            ],
            "access_level" => [
                "key" => "access_level", 
                "type" => "text", 
                "label" => 'app::app_permission.label.access_level', 
                'sort' => true,
                'roles' => [],
            ],
            "review_status" => [
                "key" => "review_status", 
                "type" => "text", 
                "label" => 'app::app_permission.label.review_status', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'apps_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'app::app_permission.label.apps_id',
                "placeholder" => 'app::app_permission.placeholder.apps_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'permission_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'app::app_permission.label.permission_id',
                "placeholder" => 'app::app_permission.placeholder.permission_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'access_level' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'app::app_permission.label.access_level',
                "placeholder" => 'app::app_permission.placeholder.access_level',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'review_status' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'app::app_permission.label.review_status',
                "placeholder" => 'app::app_permission.placeholder.review_status',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'app/app_permission/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'app/app_permission/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'app/app_permission',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'app/app_permission',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'app/app_permission',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'app/app_permission',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'app::app_permission.label.created_at',
            'name' => 'app::app_permission.label.name',
            'status' => 'app::app_permission.label.status',
        ],
        'groups' => [
            'main' => 'app::app_permission.groups.main',
            'details' => 'app::app_permission.groups.details',
            'images' => 'app::app_permission.groups.images',
            'settings' => 'app::app_permission.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'App',
            'module' => 'AppPermission',
        ],
    ];
