<?php


return  
    [
        'model' => [
            'model' => \Litecms\App\Models\Apps::class,
            'repository' => \Litecms\App\Repositories\Eloquent\AppsRepository::class,
            'table' => 'apps',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'type',  'email',  'namespace',  'category',  'unique_id',  'secret_key',  'logo',  'domains',  'privacy_policy_url',  'terms_service_url',  'authentication',  'restriction',  'domain_manager',  'officer_name',  'officer_email',  'street',  'city',  'state',  'postal_code',  'country',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'app/apps',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'app::apps.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "type" => [
                "key" => "type", 
                "type" => "text", 
                "label" => 'app::apps.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            "email" => [
                "key" => "email", 
                "type" => "text", 
                "label" => 'app::apps.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            "namespace" => [
                "key" => "namespace", 
                "type" => "text", 
                "label" => 'app::apps.label.namespace', 
                'sort' => true,
                'roles' => [],
            ],
            "category" => [
                "key" => "category", 
                "type" => "text", 
                "label" => 'app::apps.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            "unique_id" => [
                "key" => "unique_id", 
                "type" => "text", 
                "label" => 'app::apps.label.unique_id', 
                'sort' => true,
                'roles' => [],
            ],
            "secret_key" => [
                "key" => "secret_key", 
                "type" => "text", 
                "label" => 'app::apps.label.secret_key', 
                'sort' => true,
                'roles' => [],
            ],
            "domains" => [
                "key" => "domains", 
                "type" => "text", 
                "label" => 'app::apps.label.domains', 
                'sort' => true,
                'roles' => [],
            ],
            "privacy_policy_url" => [
                "key" => "privacy_policy_url", 
                "type" => "text", 
                "label" => 'app::apps.label.privacy_policy_url', 
                'sort' => true,
                'roles' => [],
            ],
            "terms_service_url" => [
                "key" => "terms_service_url", 
                "type" => "text", 
                "label" => 'app::apps.label.terms_service_url', 
                'sort' => true,
                'roles' => [],
            ],
            "authentication" => [
                "key" => "authentication", 
                "type" => "text", 
                "label" => 'app::apps.label.authentication', 
                'sort' => true,
                'roles' => [],
            ],
            "restriction" => [
                "key" => "restriction", 
                "type" => "text", 
                "label" => 'app::apps.label.restriction', 
                'sort' => true,
                'roles' => [],
            ],
            "domain_manager" => [
                "key" => "domain_manager", 
                "type" => "text", 
                "label" => 'app::apps.label.domain_manager', 
                'sort' => true,
                'roles' => [],
            ],
            "officer_name" => [
                "key" => "officer_name", 
                "type" => "text", 
                "label" => 'app::apps.label.officer_name', 
                'sort' => true,
                'roles' => [],
            ],
            "officer_email" => [
                "key" => "officer_email", 
                "type" => "text", 
                "label" => 'app::apps.label.officer_email', 
                'sort' => true,
                'roles' => [],
            ],
            "street" => [
                "key" => "street", 
                "type" => "text", 
                "label" => 'app::apps.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            "city" => [
                "key" => "city", 
                "type" => "text", 
                "label" => 'app::apps.label.city', 
                'sort' => true,
                'roles' => [],
            ],
            "state" => [
                "key" => "state", 
                "type" => "text", 
                "label" => 'app::apps.label.state', 
                'sort' => true,
                'roles' => [],
            ],
            "postal_code" => [
                "key" => "postal_code", 
                "type" => "text", 
                "label" => 'app::apps.label.postal_code', 
                'sort' => true,
                'roles' => [],
            ],
            "country" => [
                "key" => "country", 
                "type" => "text", 
                "label" => 'app::apps.label.country', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.name',
                "placeholder" => 'app::apps.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'app::apps.label.type',
                "placeholder" => 'app::apps.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.email',
                "placeholder" => 'app::apps.placeholder.email',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'namespace' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.namespace',
                "placeholder" => 'app::apps.placeholder.namespace',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'app::apps.label.category',
                "placeholder" => 'app::apps.placeholder.category',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'unique_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'app::apps.label.unique_id',
                "placeholder" => 'app::apps.placeholder.unique_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'secret_key' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.secret_key',
                "placeholder" => 'app::apps.placeholder.secret_key',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'logo' => [
                "element" => 'file',
                "type" => 'images',
                "label" => 'app::apps.label.logo',
                "placeholder" => 'app::apps.placeholder.logo',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'domains' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.domains',
                "placeholder" => 'app::apps.placeholder.domains',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'privacy_policy_url' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.privacy_policy_url',
                "placeholder" => 'app::apps.placeholder.privacy_policy_url',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'terms_service_url' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.terms_service_url',
                "placeholder" => 'app::apps.placeholder.terms_service_url',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'authentication' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'app::apps.label.authentication',
                "placeholder" => 'app::apps.placeholder.authentication',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'restriction' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.restriction',
                "placeholder" => 'app::apps.placeholder.restriction',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'domain_manager' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.domain_manager',
                "placeholder" => 'app::apps.placeholder.domain_manager',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'officer_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.officer_name',
                "placeholder" => 'app::apps.placeholder.officer_name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'officer_email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.officer_email',
                "placeholder" => 'app::apps.placeholder.officer_email',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'street' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.street',
                "placeholder" => 'app::apps.placeholder.street',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.city',
                "placeholder" => 'app::apps.placeholder.city',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.state',
                "placeholder" => 'app::apps.placeholder.state',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'postal_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.postal_code',
                "placeholder" => 'app::apps.placeholder.postal_code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::apps.label.country',
                "placeholder" => 'app::apps.placeholder.country',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'app/apps/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'app/apps/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'app/apps',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'app/apps',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'app/apps',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'app/apps',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'app::apps.label.created_at',
            'name' => 'app::apps.label.name',
            'status' => 'app::apps.label.status',
        ],
        'groups' => [
            'main' => 'app::apps.groups.main',
            'details' => 'app::apps.groups.details',
            'images' => 'app::apps.groups.images',
            'settings' => 'app::apps.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'App',
            'module' => 'Apps',
        ],
    ];
