<?php


return  
    [
        'model' => [
            'model' => \Litecms\App\Models\Permission::class,
            'repository' => \Litecms\App\Repositories\Eloquent\PermissionRepository::class,
            'table' => 'permissions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'title',  'description',  'requirement',  'access_level',  'status',  'review_status',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'app/permission',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "title" => [
                "key" => "title", 
                "type" => "text", 
                "label" => 'app::permission.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            "description" => [
                "key" => "description", 
                "type" => "text", 
                "label" => 'app::permission.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            "requirement" => [
                "key" => "requirement", 
                "type" => "text", 
                "label" => 'app::permission.label.requirement', 
                'sort' => true,
                'roles' => [],
            ],
            "access_level" => [
                "key" => "access_level", 
                "type" => "text", 
                "label" => 'app::permission.label.access_level', 
                'sort' => true,
                'roles' => [],
            ],
            "review_status" => [
                "key" => "review_status", 
                "type" => "text", 
                "label" => 'app::permission.label.review_status', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::permission.label.title',
                "placeholder" => 'app::permission.placeholder.title',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::permission.label.description',
                "placeholder" => 'app::permission.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'requirement' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'app::permission.label.requirement',
                "placeholder" => 'app::permission.placeholder.requirement',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'access_level' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'app::permission.label.access_level',
                "placeholder" => 'app::permission.placeholder.access_level',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'review_status' => [
                "element" => 'switch',
                "type" => 'switch',
                "label" => 'app::permission.label.review_status',
                "placeholder" => 'app::permission.placeholder.review_status',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'app/permission/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'app/permission/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'app/permission',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'app/permission',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'app/permission',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'app/permission',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'app::permission.label.created_at',
            'name' => 'app::permission.label.name',
            'status' => 'app::permission.label.status',
        ],
        'groups' => [
            'main' => 'app::permission.groups.main',
            'details' => 'app::permission.groups.details',
            'images' => 'app::permission.groups.images',
            'settings' => 'app::permission.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'App',
            'module' => 'Permission',
        ],
    ];
