<?php


return  
    [
        'model' => [
            'model' => \Litecms\App\Models\User::class,
            'repository' => \Litecms\App\Repositories\Eloquent\UserRepository::class,
            'table' => 'users',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'role_id',  'user_id',  'app_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'app/user',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "role_id" => [
                "key" => "role_id", 
                "type" => "text", 
                "label" => 'app::user.label.role_id', 
                'sort' => true,
                'roles' => [],
            ],
            "app_id" => [
                "key" => "app_id", 
                "type" => "text", 
                "label" => 'app::user.label.app_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'role_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'app::user.label.role_id',
                "placeholder" => 'app::user.placeholder.role_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'app_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'app::user.label.app_id',
                "placeholder" => 'app::user.placeholder.app_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'app/user/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'app/user/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'app/user',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'app/user',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'app/user',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'app/user',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'app::user.label.created_at',
            'name' => 'app::user.label.name',
            'status' => 'app::user.label.status',
        ],
        'groups' => [
            'main' => 'app::user.groups.main',
            'details' => 'app::user.groups.details',
            'images' => 'app::user.groups.images',
            'settings' => 'app::user.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'App',
            'module' => 'User',
        ],
    ];
