<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAppPermissionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: app_permissions
         */
        Schema::create('app_permissions', function ($table) {
            $table->increments('id');
            $table->integer('apps_id')->nullable();
            $table->integer('permission_id')->nullable();
            $table->enum('access_level', [])->nullable();
            $table->enum('status', [])->nullable();
            $table->tinyInteger('review_status')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('app_permissions');
    }
}
