<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAppsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: apps
         */
        Schema::create('apps', function ($table) {
            $table->increments('id');
            $table->string('name', 60)->nullable();
            $table->enum('type', [])->nullable();
            $table->string('email', 60)->nullable();
            $table->string('namespace', 50)->nullable();
            $table->enum('category', [])->nullable();
            $table->integer('unique_id')->nullable();
            $table->string('secret_key', 100)->nullable();
            $table->text('logo')->nullable();
            $table->string('domains', 255)->nullable();
            $table->text('privacy_policy_url')->nullable();
            $table->text('terms_service_url')->nullable();
            $table->enum('authentication', [])->nullable();
            $table->text('restriction')->nullable();
            $table->text('domain_manager')->nullable();
            $table->string('officer_name', 60)->nullable();
            $table->string('officer_email', 60)->nullable();
            $table->string('street', 60)->nullable();
            $table->string('city', 60)->nullable();
            $table->string('state', 60)->nullable();
            $table->string('postal_code', 60)->nullable();
            $table->string('country', 60)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 60)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('apps');
    }
}
