<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePermissionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: permissions
         */
        Schema::create('permissions', function ($table) {
            $table->increments('id');
            $table->string('title', 225)->nullable();
            $table->text('description')->nullable();
            $table->text('requirement')->nullable();
            $table->enum('access_level', [])->nullable();
            $table->enum('status', [])->nullable();
            $table->tinyInteger('review_status')->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('permissions');
    }
}
