<?php

namespace Litecms\App\Seeders;

use DB;
use Illuminate\Database\Seeder;

class AppsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('apps')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'app.apps.view',
                'name'      => 'View Apps',
            ],
            [
                'slug'      => 'app.apps.create',
                'name'      => 'Create Apps',
            ],
            [
                'slug'      => 'app.apps.edit',
                'name'      => 'Update Apps',
            ],
            [
                'slug'      => 'app.apps.delete',
                'name'      => 'Delete Apps',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/app/apps',
                'name'        => 'Apps',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/app/apps',
                'name'        => 'Apps',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'apps',
                'name'        => 'Apps',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'App',
                'module'    => 'Apps',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'app.apps.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
