<?php

namespace Litecms\App\Seeders;

use DB;
use Illuminate\Database\Seeder;

class PermissionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('permissions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'app.permission.view',
                'name'      => 'View Permission',
            ],
            [
                'slug'      => 'app.permission.create',
                'name'      => 'Create Permission',
            ],
            [
                'slug'      => 'app.permission.edit',
                'name'      => 'Update Permission',
            ],
            [
                'slug'      => 'app.permission.delete',
                'name'      => 'Delete Permission',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/app/permission',
                'name'        => 'Permission',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/app/permission',
                'name'        => 'Permission',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'permission',
                'name'        => 'Permission',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'App',
                'module'    => 'Permission',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'app.permission.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
