Lavalite package that provides app management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/app`.

    "litecms/app": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\App\Providers\AppServiceProvider::class,

And also add it to alias

    'App'  => Litecms\App\Facades\App::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\App\\Seeders\\AppTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\App\Providers\AppServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\App\Providers\AppServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\App\Providers\AppServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/app/{modulename}

**User**

    http://path-to-route-folder/user/app/{modulename}

**Public**

    http://path-to-route-folder/apps


### API endpoints

**List**

    http://path-to-route-folder/api/user/app/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/app/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/app/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/app/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/app/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/app/{modulename}/{slug}
    METHOD: GET