<?php

namespace Litecms\App\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Apps policy
        \Litecms\App\Repositories\Eloquent\AppsRepository::class 
        => \Litecms\App\Policies\AppsPolicy::class,// Bind Permission policy
        \Litecms\App\Repositories\Eloquent\PermissionRepository::class 
        => \Litecms\App\Policies\PermissionPolicy::class,// Bind User policy
        \Litecms\App\Repositories\Eloquent\UserRepository::class 
        => \Litecms\App\Policies\UserPolicy::class,// Bind AppPermission policy
        \Litecms\App\Repositories\Eloquent\AppPermissionRepository::class 
        => \Litecms\App\Policies\AppPermissionPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
